def 网页协议_获取_响应文本取指定行内容(响应对象, 行号):
    """
    获取响应的文本内容，并返回指定行号的文本内容。
    小提示：
        浏览器抓包中就可以看到行号，在浏览器看好自己要的内容直接在这里输入对于的行号即可取出。

    参数:
        响应对象: 服务器响应对象。
        行号: 要获取的行号，从1开始计数。

    返回:
        str: 指定行号的文本内容。如果响应为 None、指定行号超出文本行数范围、或出现任何异常，则返回空字符串。
    """
    try:
        if 响应对象 is not None:
            文本内容 = 响应对象.text
            行列表 = 文本内容.splitlines()
            实际行号 = 行号 - 1  # 将1开始的行号转换为0开始的索引
            if 0 <= 实际行号 < len(行列表):
                return 行列表[实际行号]
            else:
                return ''
        else:
            return ''
    except Exception:
        return ''